import java.util.EmptyStackException;
import java.util.Stack;

public class StackDemo {
    public static void main(String[] args) {
        // Creating a Stack of Integers
        Stack<Integer> stack = new Stack<>();

        // Checking if the stack is empty
        if (stack.empty()) {
            System.out.println("Stack is empty");
        }

        try {
            // Attempting to peek an element when the stack is empty
            System.out.println("Top element of the stack: " + stack.peek());
        } catch (EmptyStackException e) {
            System.out.println("Cannot peek: Stack is empty");
        }

        try {
            // Attempting to pop an element when the stack is empty
            System.out.println("Popped element: " + stack.pop());
        } catch (EmptyStackException e) {
            System.out.println("Cannot pop: Stack is empty");
        }

        // Pushing elements onto the stack
        stack.push(10);
        stack.push(20);
        stack.push(30);

        // Checking if the stack is empty after pushing elements
        if (!stack.empty()) {
            System.out.println("Stack is not empty");
        }

        try {
            // Peeking the top element of the stack
            System.out.println("Top element of the stack: " + stack.peek());
        } catch (EmptyStackException e) {
            System.out.println("Cannot peek: Stack is empty");
        }

        try {
            // Popping elements from the stack
            System.out.println("Popped element: " + stack.pop());
            System.out.println("Popped element: " + stack.pop());
            System.out.println("Popped element: " + stack.pop());
        } catch (EmptyStackException e) {
            System.out.println("Cannot pop: Stack is empty");
        }
    }
}
